## cnvkit 0.9.3

=== debian/changelog ===
cnvkit (0.9.3-1) unstable; urgency=medium

  * New upstream version.
  * Initial release. (Closes: #828176)
  * Policy 4.1.4 compliance
  * Moved to python3
  * Cleaning test tmp results 

 -- Steffen Moeller <moeller@debian.org>  Fri, 15 Jun 2018 12:03:11 +0200

cnvkit (0.9.0-1) UNRELEASED; urgency=medium

  * Debianisation.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sat, 25 Jun 2016 10:57:17 -0700
