=== debian/rules ===
#!/usr/bin/make -f
# DH_VERBOSE := 1
export LC_ALL=C.UTF-8
export PYBUILD_NAME=cnvkit

# some helpful variables - uncomment them if needed
# shamelessly stolen from http://jmtd.net/log/awk/
DEBVERS        := $(shell dpkg-parsechangelog | awk '/^Version:/ {print $$2}')
VERSION        := $(shell echo '$(DEBVERS)' | sed -e 's/^[0-9]*://' -e 's/-.*//')
#DEBFLAVOR      := $(shell dpkg-parsechangelog | awk '/^Distribution:/ {print $$2}')
#DEBPKGNAME     := $(shell dpkg-parsechangelog | awk '/^Source:/ {print $$2}')
#DEBIAN_BRANCH  := $(shell awk 'BEGIN{FS="[= ]+"} /debian-branch/ {print $$2}' debian/gbp.conf)
#GIT_TAG        := $(subst ~,_,$(VERSION))

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_build:
	[ -f cnvkit.py ] && mv cnvkit.py cnvkit || true # may not exist after interrupted build
	#mv scripts/genome2access.py ./	# no longer distributed
	if [ -f scripts/cnv_annotate.py ]; then \
	  cd scripts && for script in *.py; do \
	                  mv $${script} cnvkit-$${script%%.py}; \
	                done; \
	fi
	dh_auto_build
	cd scripts && for script in *; do \
	                mv $${script} $${script##cnvkit-}.py; \
	              done
	mv cnvkit cnvkit.py
	#mv genome2access.py scripts/	# no longer distributed

override_dh_auto_install:
	[ -f cnvkit.py ] && mv cnvkit.py cnvkit || true # may not exist after interrupted install
	#mv scripts/genome2access.py ./	# no longer distributed
	if [ -f scripts/cnv_annotate.py ]; then \
	  cd scripts && for script in *.py; do \
	                  mv $${script} cnvkit-$${script%%.py}; \
	                done; \
	fi
	dh_auto_install
	help2man --no-info --version-option=version \
		--name="a command-line toolkit for copy number analysis." \
		./cnvkit > debian/cnvkit.1
	PYTHONPATH=$$PYTHONPATH:. debian/genmanpages.py ${VERSION}
	# no longer distributed
	#cd scripts && PYTHONPATH=../ help2man --no-info \
	#	--version-string=${VERSION} --help-option='-h' \
	#	./cnvkit-refFlat2bed --name='Generate a BED file of the genes or exons in the reference genome given in UCSC refFlat.txt format.' \
	#	> ../debian/cnvkit-refFlat2bed.1; 
	cd scripts && PYTHONPATH=../ help2man --no-info \
		--version-string=${VERSION} --help-option='-h' \
		./cnvkit-reference2targets --name='Extract target and antitarget BED files from a CNVkit reference file.' \
		> ../debian/cnvkit-reference2targets.1;
	cd scripts && for script in *; do \
	                mv $${script} $${script##cnvkit-}.py; \
	              done
	mv cnvkit cnvkit.py
	#mv genome2access.py scripts/	# no longer distributed

override_dh_auto_test:
	cd test && ${MAKE}

override_dh_auto_clean:
	cd test && ${MAKE} clean || /bin/true
	if [ -f cnvkit ]; then mv cnvkit cnvkit.py; fi
	dh_auto_clean
	rm -rf test/p2-20-metrics.tsv test/p2-5_5-metrics.tsv test/p2-9_2-metrics.tsv
	rm -rf test/build CNVkit.egg-info
