## cnvkit 0.9.5

=== debian/changelog ===
cnvkit (0.9.5-3) unstable; urgency=medium

  * Fix buster rebuilds (Closes: #925568)
    d/patches/controldir.patch

 -- Olivier Sallou <osallou@debian.org>  Wed, 27 Mar 2019 08:00:39 +0000

cnvkit (0.9.5-2) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Use secure copyright file specification URI.
  * Trim trailing whitespace.

  [ Michael R. Crusoe ]
  * Remove trailing whitespace in debian/rules
  * Standards-Version: 4.3.0
  * Run the included tests as autopkgtests.
  * Mark cnv_expression_correlate as a script
  * amd64 only, due to the realities of where python-pysam is available.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sun, 06 Jan 2019 04:12:46 -0800

cnvkit (0.9.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper 11
  * Standards-Version: 4.2.0

 -- Andreas Tille <tille@debian.org>  Mon, 13 Aug 2018 13:02:24 +0200

cnvkit (0.9.3-2) unstable; urgency=medium

  * Add missing build-dep on python3-future. (Closes: #901877)
  * debian/rules: fix override_dh_auto_test-does-not-check-DEB_BUILD_OPTIONS

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Tue, 19 Jun 2018 15:05:43 -0700
