=== debian/control ===
Source: cnvkit
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Michael R. Crusoe <michael.crusoe@gmail.com>,
           Steffen Moeller <moeller@debian.org>,
           Olivier Sallou <osallou@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-pyfaidx,
               help2man,
               python3-biopython,
               python3-pandas,
               python3-numpy,
               python3-pysam,
               python3-scipy,
               python3-matplotlib,
               python3-pyvcf,
               python3-future,
               r-bioc-dnacopy,
	       poppler-utils
# poppler-utils provides pdfunite, needed for the tests
#              python-subprocess32	# required only for python2
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/med-team/cnvkit
Vcs-Git: https://salsa.debian.org/med-team/cnvkit.git
Homepage: http://cnvkit.readthedocs.org

Package: cnvkit
Architecture: amd64
Depends: ${python3:Depends},
         ${misc:Depends},
	 r-bioc-dnacopy
Description: Copy number variant detection from targeted DNA sequencing
 A command-line toolkit and Python library for detecting copy number variants
 and alterations genome-wide from targeted DNA sequencing. It is designed for
 use with hybrid capture, including both whole-exome and custom target panels,
 and short-read sequencing platforms such as Illumina and Ion Torrent.
