## cnvkit 0.9.6

=== test/Makefile ===
--- 
+++ 
@@ -76,7 +76,7 @@
 
 # == Plot coverages with segmentation calls
 
-all-scatters.pdf: p2-5_5-scatter.pdf p2-9_2-scatter.pdf p2-9_2-chr1-scatter.pdf p2-9_2-chr9p-scatter.pdf p2-9_2-SMARCA2-PTPRD-scatter.pdf p2-9_2-bed_regions-scatter.pdf
+all-scatters.pdf: p2-5_5-scatter.pdf p2-9_2-scatter.pdf p2-9_2-chr1-scatter.pdf p2-9_2-chr21-scatter.pdf p2-9_2-chr9p-scatter.pdf p2-9_2-SMARCA2-PTPRD-scatter.pdf p2-9_2-bed_regions-scatter.pdf
 	which pdfunite && pdfunite $^ $@ || touch $@
 
 p2-5_5-scatter.pdf p2-9_2-scatter.pdf: %-scatter.pdf: build/%.cns build/%.cnr
@@ -84,6 +84,9 @@
 
 p2-9_2-chr1-scatter.pdf: build/p2-9_2.cns build/p2-9_2.cnr
 	$(cnvkit) scatter -s $^ -c chr1 -t -o $@
+
+p2-9_2-chr21-scatter.pdf: build/p2-9_2.cns build/p2-9_2.cnr
+	$(cnvkit) scatter -s $^ -c chr21 -t -o $@
 
 p2-9_2-chr9p-scatter.pdf: build/p2-9_2.cns build/p2-9_2.cnr
 	$(cnvkit) scatter -s $^ -c 'chr9:150000-45000000' -o $@
