=== debian/changelog ===
cnvkit (0.9.6-3) unstable; urgency=medium

  * Don't run the autopkgtests in parallel.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Tue, 07 Jan 2020 11:48:23 +0100

cnvkit (0.9.6-2) unstable; urgency=medium

  * Support more architectures (Closes: #942582)
  * Tests pass with the latest python3-pandas. (Closes: #944041)

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Wed, 13 Nov 2019 18:57:24 +0100

cnvkit (0.9.6-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.0

 -- Steffen Moeller <moeller@debian.org>  Wed, 28 Aug 2019 19:31:59 +0200
