=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
            Olivier Sallou <osallou@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3-all,
                python3-setuptools,
@@ -19,20 +19,21 @@
                python3-matplotlib,
                python3-pyvcf,
                python3-future,
+               python3-pomegranate (>= 0.9.0),
                r-bioc-dnacopy,
-	       poppler-utils
+# testing
 # poppler-utils provides pdfunite, needed for the tests
-#              python-subprocess32	# required only for python2
-Standards-Version: 4.3.0
+               poppler-utils
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/med-team/cnvkit
 Vcs-Git: https://salsa.debian.org/med-team/cnvkit.git
 Homepage: http://cnvkit.readthedocs.org
 
 Package: cnvkit
-Architecture: amd64
+Architecture: amd64 arm64 mips64el ppc64el
 Depends: ${python3:Depends},
          ${misc:Depends},
-	 r-bioc-dnacopy
+         r-bioc-dnacopy
 Description: Copy number variant detection from targeted DNA sequencing
  A command-line toolkit and Python library for detecting copy number variants
  and alterations genome-wide from targeted DNA sequencing. It is designed for
