=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: cnvkit
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Michael R. Crusoe <michael.crusoe@gmail.com>,
+Uploaders: Michael R. Crusoe <crusoe@debian.org>,
            Steffen Moeller <moeller@debian.org>,
            Olivier Sallou <osallou@debian.org>
 Section: science
@@ -19,15 +19,16 @@
                python3-matplotlib,
                python3-pyvcf,
                python3-future,
-               python3-pomegranate (>= 0.9.0),
+               python3-pomegranate,
                r-bioc-dnacopy,
 # testing
 # poppler-utils provides pdfunite, needed for the tests
                poppler-utils
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/cnvkit
 Vcs-Git: https://salsa.debian.org/med-team/cnvkit.git
 Homepage: http://cnvkit.readthedocs.org
+Rules-Requires-Root: no
 
 Package: cnvkit
 Architecture: amd64 arm64 mips64el ppc64el
