## cnvkit 0.9.8

=== test/Makefile ===
--- 
+++ 
@@ -37,6 +37,7 @@
 	python test_io.py
 	python test_genome.py
 	python test_cnvlib.py
+	python test_commands.py
 	python test_r.py
 
 
@@ -130,9 +131,9 @@
 
 p2-9_2-segmetrics.cns: build/p2-9_2.cns build/p2-9_2.cnr
 	$(cnvkit) segmetrics -s $^ -o $@ \
-		--mean --median --mode \
+		--mean --median --mode --t-test \
 		--stdev --mad --mse --iqr --bivar \
-		--ci --pi --sem
+		--ci --pi --sem --smooth-bootstrap
 
 p2-5_5-segmetrics.cns: build/p2-5_5.cns build/p2-5_5.cnr
 	$(cnvkit) segmetrics -s $^ -o $@ \
