=== debian/changelog ===
cnvkit (0.9.8-1) unstable; urgency=medium

  [ Steffen Moeller ]
  * Added symbolic link from /usr/lib/debian-med/bin/cnvkit.py
    to /usr/bin/cnvkit.py

    bcbio explicitly looks in /usr/bin, though.

  [ Michael R. Crusoe ]
  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * debian/control: mips64el is not supported by upstream, remove it
    Closes: #962743

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 01 Jan 2021 16:17:10 +0100
