=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
            Olivier Sallou <osallou@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-setuptools,
@@ -23,15 +23,15 @@
                r-bioc-dnacopy,
 # testing
 # poppler-utils provides pdfunite, needed for the tests
-               poppler-utils
-Standards-Version: 4.5.0
+               poppler-utils <!nocheck>
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/med-team/cnvkit
 Vcs-Git: https://salsa.debian.org/med-team/cnvkit.git
 Homepage: http://cnvkit.readthedocs.org
 Rules-Requires-Root: no
 
 Package: cnvkit
-Architecture: amd64 arm64 mips64el ppc64el
+Architecture: amd64 arm64 ppc64el
 Depends: ${python3:Depends},
          ${misc:Depends},
          r-bioc-dnacopy
