=== debian/rules ===
#!/usr/bin/make -f
# DH_VERBOSE := 1
export LC_ALL=C.UTF-8
export PYBUILD_NAME=cnvkit

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_build:
	[ -f cnvkit.py ] && mv cnvkit.py cnvkit || true # may not exist after interrupted build
	if [ -f scripts/cnv_annotate.py ]; then \
	  cd scripts && for script in *.py; do \
	                  mv $${script} cnvkit-$${script%%.py}; \
	                done; \
	fi
	dh_auto_build
	cd scripts && for script in cnvkit-*; do \
	                mv $${script} $${script##cnvkit-}.py; \
	              done
	mv cnvkit cnvkit.py

override_dh_auto_install:
	[ -f cnvkit.py ] && mv cnvkit.py cnvkit || true # may not exist after interrupted install
	if [ -f scripts/cnv_annotate.py ]; then \
	  cd scripts && for script in *.py; do \
	                  mv $${script} cnvkit-$${script%%.py}; \
	                done; \
	fi
	dh_auto_install
	help2man --no-info --version-option=version \
		--name="a command-line toolkit for copy number analysis." \
		./cnvkit > debian/cnvkit.1
	PYTHONPATH=$$PYTHONPATH:. debian/genmanpages.py ${DEB_VERSION_UPSTREAM}
	cd scripts && PYTHONPATH=../ help2man --no-info \
		--version-string=${DEB_VERSION_UPSTREAM} --help-option='-h' \
		./cnvkit-reference2targets --name='Extract target and antitarget BED files from a CNVkit reference file.' \
		> ../debian/cnvkit-reference2targets.1;
	cd scripts && for script in cnvkit-*; do \
	                mv $${script} $${script##cnvkit-}.py; \
	              done
	mv cnvkit cnvkit.py

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	cd test && ${MAKE} -j$(shell nproc)
	cd test && ${MAKE} -j$(shell nproc) clean || /bin/true
	rm -Rf test/build test/*.tsv
endif

override_dh_auto_clean:
	cd test && ${MAKE} clean || /bin/true
	if [ -f cnvkit ]; then mv cnvkit cnvkit.py; fi
	dh_auto_clean
	rm -rf test/p2-20-metrics.tsv test/p2-5_5-metrics.tsv test/p2-9_2-metrics.tsv
	rm -rf test/build CNVkit.egg-info
