## cnvkit 0.9.9

=== debian/changelog ===
cnvkit (0.9.9-2) unstable; urgency=medium

  * Team Upload.
  * Re-diff patches (refresh)
  * d/rules: do not run tests in parallel

 -- Nilesh Patra <nilesh@debian.org>  Fri, 15 Oct 2021 12:11:06 +0530

cnvkit (0.9.9-1) unstable; urgency=medium

  * Fix watchfile to detect new versions on github (routine-update)
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * watch file standard 4 (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 13 Sep 2021 19:06:06 +0200
