=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
 # testing
 # poppler-utils provides pdfunite, needed for the tests
                poppler-utils <!nocheck>
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/cnvkit
 Vcs-Git: https://salsa.debian.org/med-team/cnvkit.git
 Homepage: http://cnvkit.readthedocs.org
