=== debian/rules ===
--- 
+++ 
@@ -44,8 +44,8 @@
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	cd test && ${MAKE} -j$(shell nproc)
-	cd test && ${MAKE} -j$(shell nproc) clean || /bin/true
+	cd test && ${MAKE}
+	cd test && ${MAKE} clean || /bin/true
 	rm -Rf test/build test/*.tsv
 endif
