=== test/Makefile ===
--- 
+++ 
@@ -3,7 +3,8 @@
 # Dependency: pdfunite (poppler-utils)
 # (Otherwise, all-scatters.pdf and all-diagrams.pdf will be empty files.)
 
-cnvkit=python ../cnvkit.py
+rscript_exe=Rscript
+cnvkit=cnvkit.py
 
 # ------------------------------------------------------------------------------
 # Samples pre-processed with Picard CalculateHsMetrics
@@ -34,11 +35,7 @@
 
 .PHONY: test
 test:
-	python test_io.py
-	python test_genome.py
-	python test_cnvlib.py
-	python test_commands.py
-	python test_r.py
+	pytest
 
 
 # ------------------------------------------------------------------------------
@@ -63,7 +60,7 @@
 	$(cnvkit) fix $^ -o $@
 
 $(picard_segs): %.cns: %.cnr
-	$(cnvkit) segment -p 2 --drop-low-coverage -t .01 $< -o $@
+	$(cnvkit) segment --rscript-path $(rscript_exe) -p 2 --drop-low-coverage -t .01 $< -o $@
 
 $(picard_segs:.cns=.call.cns): build/%.call.cns: build/%.cns
 	$(cnvkit) call $^ -y -m clonal --purity 0.65 -o $@
