=== debian/changelog ===
cnvkit (0.9.10-1) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Drop Build-Depends python3-future
    Closes: #1059947
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Use secure URI in Homepage field.

  [ Nilesh Patra ]
  * Add patch to ignore test warnings

 -- Andreas Tille <tille@debian.org>  Fri, 05 Jan 2024 16:18:13 +0100
