=== debian/control ===
--- 
+++ 
@@ -6,28 +6,26 @@
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                python3-all,
                python3-setuptools,
-               python3-pyfaidx,
-               help2man,
-               python3-biopython,
-               python3-pandas,
-               python3-numpy,
-               python3-pysam,
-               python3-scipy,
-               python3-matplotlib,
-               python3-pyvcf,
-               python3-future,
-               python3-pomegranate,
-               r-bioc-dnacopy,
+               python3-pytest <!nocheck>,
+               python3-pyfaidx <!nocheck>,
+               python3-biopython <!nocheck>,
+               python3-pandas <!nocheck>,
+               python3-numpy <!nocheck>,
+               python3-pysam <!nocheck>,
+               python3-scipy <!nocheck>,
+               python3-matplotlib <!nocheck>,
+               python3-pomegranate <!nocheck>,
+               r-bioc-dnacopy <!nocheck>,
 # testing
 # poppler-utils provides pdfunite, needed for the tests
                poppler-utils <!nocheck>
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/cnvkit
 Vcs-Git: https://salsa.debian.org/med-team/cnvkit.git
-Homepage: http://cnvkit.readthedocs.org
+Homepage: https://cnvkit.readthedocs.org
 Rules-Requires-Root: no
 
 Package: cnvkit
