=== debian/rules ===
#!/usr/bin/make -f
# DH_VERBOSE := 1
export LC_ALL=C.UTF-8
export PYBUILD_NAME=cnvkit

export PYBUILD_BEFORE_TEST=ln -s $(CURDIR)/data {build_dir}/data;

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_install:
	for script in `find scripts -name "*.py"` ; do \
	    dh_install $${script} /usr/bin; \
	done
	dh_auto_install

override_dh_auto_clean:
	cd test && ${MAKE} clean || /bin/true
#	if [ -f cnvkit ]; then mv cnvkit cnvkit.py; fi
	dh_auto_clean
	rm -rf test/p2-20-metrics.tsv test/p2-5_5-metrics.tsv test/p2-9_2-metrics.tsv
	rm -rf test/build CNVkit.egg-info
