=== debian/tests/control ===
Tests: run-unit-test
Depends: @, poppler-utils
Restrictions: allow-stderr
