=== debian/watch ===
version=4

# Uncomment to find new files on Github
#  - when using releases:
https://github.com/etal/cnvkit/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
# if you need to repack and choose +dfsg prefix
# opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,compress=xz" \
