=== debian/changelog ===
cnvkit (0.9.12-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * Removed spelling patch, it was applied upstream. Remaining patches
    were refreshed.
  * d/control: build-dep on the new python3-pomegranate that supports
    numpy 2.x.
  * Include patch from upstream for numpy 2.x support.
  * d/{install,rules,pybuild.testfiles}: simplify and modernize
  * Add my own patch to fix one last numpy 2.x issue: Use `np.bytes_`
    instead of `np.string_`.
  * d/patches/controldir: fix link to the Debian bug.

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 06 Feb 2025 15:23:25 +0100

cnvkit (0.9.10-2) unstable; urgency=medium

  * No-change rebuild of the package from experimental for unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 08 Apr 2024 10:42:20 +0200

cnvkit (0.9.10-2~0exp) experimental; urgency=medium

  * Test "Arch: all" upload to experimental

  * d/control: the binary package is architecture independent.
  * d/patches/spelling: forwarded upstream.
  * d/control: build the PEP-517 way with pybuild-plugin-pyproject.
  * d/control: also run the built-in tests as autopkgtests.
  * d/rules: move items into d/clean.
  * d/tests: skip-not-installable for s390x and others where python3-
    pysam isn't available.
  * d/control: add riscv64 to the arch list.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 05 Mar 2024 10:11:04 +0100
