=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
                dh-sequence-python3,
                python3-all,
                python3-setuptools,
+               pybuild-plugin-pyproject,
                python3-pytest <!nocheck>,
                python3-pyfaidx <!nocheck>,
                python3-biopython <!nocheck>,
@@ -17,19 +18,20 @@
                python3-pysam <!nocheck>,
                python3-scipy <!nocheck>,
                python3-matplotlib <!nocheck>,
-               python3-pomegranate <!nocheck>,
+               python3-pomegranate (>= 0.15) <!nocheck>,
                r-bioc-dnacopy <!nocheck>,
 # testing
 # poppler-utils provides pdfunite, needed for the tests
                poppler-utils <!nocheck>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/med-team/cnvkit
 Vcs-Git: https://salsa.debian.org/med-team/cnvkit.git
 Homepage: https://cnvkit.readthedocs.org
 Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: cnvkit
-Architecture: amd64 arm64 ppc64el
+Architecture: all
 Depends: ${python3:Depends},
          ${misc:Depends},
          r-bioc-dnacopy
