=== debian/rules ===
#!/usr/bin/make -f
# DH_VERBOSE := 1
export LC_ALL=C.UTF-8
export PYBUILD_NAME=cnvkit

%:
	dh $@ --buildsystem=pybuild

execute_before_dh_auto_clean:
	cd test && ${MAKE} clean || /bin/true
